Skip to main content
GET
/
api
/
v1
/
email-domains
List email domains
curl --request GET \
  --url https://prod.featherhq.com/api/v1/email-domains \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://prod.featherhq.com/api/v1/email-domains"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://prod.featherhq.com/api/v1/email-domains', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "emailDomains": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "<string>",
      "subdomain": "<string>",
      "domain": "<string>",
      "fullDomain": "<string>",
      "providerDomainId": "<string>",
      "gmailConnectionId": "<string>",
      "sendGridIntegrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "inboundWebhookUrl": "<string>",
      "mxRecord": "<string>",
      "mxPriority": 123,
      "spfHostname": "<string>",
      "spfValue": "<string>",
      "dkimSelector": "<string>",
      "dkimHostname": "<string>",
      "dkimValue": "<string>",
      "cnameValue": "<string>",
      "cnamePriority": 123,
      "mxVerified": true,
      "spfVerified": true,
      "dkimVerified": true,
      "cnameVerified": true,
      "sendFromDomain": "<string>",
      "sendFromDomainId": "<string>",
      "sendFromVerified": true,
      "sendFromMxRecord": "<string>",
      "sendFromMxPriority": 123,
      "sendFromSpfHostname": "<string>",
      "sendFromSpfValue": "<string>",
      "sendFromDkimSelector": "<string>",
      "sendFromDkimHostname": "<string>",
      "sendFromDkimValue": "<string>",
      "sendFromCnameValue": "<string>",
      "sendFromCnamePriority": 123,
      "sendFromMxVerified": true,
      "sendFromSpfVerified": true,
      "sendFromDkimVerified": true,
      "sendFromCnameVerified": true,
      "verifiedAt": "<string>",
      "lastCheckedAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "sendGridSendFromEmail": "<string>"
    }
  ]
}
{
  "status": 400,
  "message": "Bad request",
  "code": "BAD_REQUEST",
  "success": false
}
{
  "status": 500,
  "message": "Internal server error",
  "code": "INTERNAL_SERVER_ERROR",
  "success": false
}

Authorizations

X-API-Key
string
header
required

Query Parameters

status
enum<string>

Filter by status

Available options:
PENDING,
VERIFYING,
VERIFIED,
FAILED,
SUSPENDED

Response

List of email domains

emailDomains
object[]
required